Installation
============

This file contains complete installation instructions including many
options that are not often used.  See the README file for quick build and
installation instructions.

1.  If you are building from a source distribution you can skip this step.
    If you are building direct from CVS first run the following commands to
    generate the configure script and makefiles.

	aclocal
	automake -a
	autoconf

2.  Run the configure command.  

	./configure


    There are several options that can be given to configure

    --prefix=directory
	The program is installed in /usr/local/bin, if you want to, for
	example install in /usr/bin use the following argument to configure

	./configure --prefix=/usr

    --with-included-glib={auto|yes|no}
   	Specifies whether to use the included glib routines, or the
	standard glib.  Setting to auto (the default) will try to
	detect if you have glib installed.  It is always safe
	to set this to yes.

    --with-alsa-support={auto|yes|no}
	ALSA support is required.  Should be auto detected by default, but
	you may have to set this explicitly to yes if auto detection fails.
    	
    --with-snd-sequencer={auto|drain|flush}
    	This is for previous versions of ALSA that had different routine
	names.  Unfortunately the changes are such that it can compile fine
	but not work correctly.  Should be autodetected, but you can try
	setting to drain or flush explicitly; on the whole though previous
	versions of ALSA are not supported, you can always grab an earlier
	version of pmidi instead.

    There are numerous other configure options, use --help to display them.

3.  Run make.

	make

4.  If all is well the program and help files can be installed with:

	make install


Other configure information
---------------------------

 - Configure creates a shell script `config.status' that
   you can run in the future to recreate the current configuration.

 - Configure also creates a file called `config.cache' that saves the
   results of its tests to speed up reconfiguring it is safe to remove this
   file.

 - It creates a file called `config.log' that contains a record of every
   thing that configure did and the results.  If configure fails, you
   should look here to see why.


Compilers and Options
---------------------

   Some systems require unusual options for compilation or linking that
the `configure' script does not know about.  You can give `configure'
initial values for variables by setting them in the environment.  Using
a Bourne-compatible shell, you can do that on the command line like
this:
     CC=c89 CFLAGS=-O2 LIBS=-lposix ./configure


Installation Names
------------------

   By default, `make install' will install the package's files in
`/usr/local/bin', `/usr/local/man', etc.  You can specify an
installation prefix other than `/usr/local' by giving `configure' the
option `--prefix=PATH'.

   You can specify separate installation prefixes for
architecture-specific files and architecture-independent files.  If you
give `configure' the option `--exec-prefix=PATH', the package will use
PATH as the prefix for installing programs and libraries.
Documentation and other data files will still use the regular prefix.

   In addition, if you use an unusual directory layout you can give
options like `--bindir=PATH' to specify different values for particular
kinds of files.  Run `configure --help' for a list of the directories
you can set and what kinds of files go in them.

   If the package supports it, you can cause programs to be installed
with an extra prefix or suffix on their names by giving `configure' the
option `--program-prefix=PREFIX' or `--program-suffix=SUFFIX'.

Operation Controls
------------------

   `configure' recognises the following options to control how it
operates.

`--cache-file=FILE'
     Use and save the results of the tests in FILE instead of
     `./config.cache'.  Set FILE to `/dev/null' to disable caching, for
     debugging `configure'.

`--help'
     Print a summary of the options to `configure', and exit.

`--quiet'
`--silent'
`-q'
     Do not print messages saying which checks are being made.  To
     suppress all normal output, redirect it to `/dev/null' (any error
     messages will still be shown).

`--srcdir=DIR'
     Look for the package's source code in directory DIR.  Usually
     `configure' can determine that directory automatically.

`--version'
     Print the version of Autoconf used to generate the `configure'
     script, and exit.
